Get the replies to one comment (its thread) by video URL or numeric video ID plus the comment ID. Returns each reply's text, author, like count, and date, about 50 per page.
curl "https://apidirect.io/v1/tiktok/comment/replies?url=https://www.tiktok.com/@tiktok/video/7516594811734854943&comment_id=7516700694288876344" -H "X-API-Key: YOUR_API_KEY"
{
"replies": [
{
"comment_id": "7517173688660394774",
"video_id": "7516594811734854943",
"text": "Nooooo",
"images": [],
"likes": 183,
"date": "2025-06-18 06:33:27",
"date_timestamp": 1750228407,
"author": "kirstie_x1",
"author_name": "kirstie_x1",
"author_id": "6945571097887015941",
"author_avatar": "https://p19-common-sign.tiktokcdn-us.com/.../avatar.jpeg",
"author_url": "https://www.tiktok.com/@kirstie_x1",
"author_verified": false,
"author_bio": "Kirstie; 33",
"author_region": "GB",
"source": "TikTok",
"domain": "tiktok.com",
"parent_comment_id": "7516700694288876344"
}
],
"comment_id": "7516700694288876344",
"video_id": "7516594811734854943",
"total": 39,
"pages": 1,
"count": 39
}